<template>
    <el-container class="flex-column">
        <div class="table-search">
            <search @success="handleSuccess"></search>
            <el-alert type="warning" show-icon title="栏目提醒" description="该栏目只处理服务中订单，已核销订单，请去抖音来客后台处理撤销核销/协助退款" :closable="false" style="margin-bottom: 10px;"></el-alert>
            <optionBtn @success="handleSuccess" :dataSelect="dataSelect" :dataSelectFull="dataSelectFull" type="3"></optionBtn>
        </div>
        <el-main class="nopadding">
            <div class="table-container">
                <tablePage ref="tablePage" @success="tableHandle" @successFull="tableHandleFull" type="3"></tablePage>
            </div>
        </el-main>
    </el-container>  
</template>

<script>
import search from './components/search';
import optionBtn from './components/option';
import tablePage from './components/table';
export default {
    components: {
        search,tablePage,optionBtn
    },
    data(){
        return {
            searchKey:{
                ex_status:5
            },
            dataSelect:[],
            dataSelectFull:[],
        }
    },
    methods: {
        tableHandle(data){
            this.dataSelect = data;
        },
        tableHandleFull(data){
            this.dataSelectFull = data;
        },
        handleSuccess(data){
            this.$refs.tablePage.upData(data)
        },
        handleClick(name){
            this.activeName = name;
            this.searchKey.type = name;
            this.$refs.tablePage.upData(this.searchKey)
        }
    }
}
</script>